// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/alarm/contact": {
            "put": {
                "description": "更新告警联系人列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "更新告警联系人",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmContactUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmContactUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加告警联系人",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "添加告警联系人",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmContactAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmContactAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/contact_delete/{id}": {
            "delete": {
                "description": "删除告警联系人列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "删除告警联系人",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmContactDeleteResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/contact_list": {
            "get": {
                "description": "告警联系人列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "告警联系人列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmContactListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/list": {
            "get": {
                "description": "告警列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警前台展示"
                ],
                "summary": "告警列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "timestamp",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0 不过滤 1 已处理 2 未处理",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "设备类型",
                        "name": "device_code",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/rule": {
            "put": {
                "description": "告警规则更新",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "告警规则更新",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "告警规则添加",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "告警规则添加",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/rule_delete/{id}": {
            "delete": {
                "description": "删除告警规则",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "删除告警规则",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "规则id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleDeleteResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/rule_list": {
            "get": {
                "description": "告警规则列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "告警规则列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "设备唯一编号，不传获取所有的告警规则列表",
                        "name": "sn",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/alarm/rule_on_off": {
            "put": {
                "description": "告警规则起停用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警后台设置"
                ],
                "summary": "告警规则起停用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleOnOffBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AlarmRuleOnOffResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area_code_list": {
            "get": {
                "description": "行政区域编码列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "行政区域"
                ],
                "summary": "行政区域编码列表",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AreaCodeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/camera/bind_device": {
            "put": {
                "description": "设备绑定摄像头",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "摄像头后台设置"
                ],
                "summary": "设备绑定摄像头",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceBindCameraBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceBindCameraResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/camera/ping": {
            "get": {
                "description": "摄像头ping",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "camera"
                ],
                "summary": "摄像头ping",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "session_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VedioPingResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/camera/ptz": {
            "get": {
                "description": "ptz控制",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    ""
                ],
                "summary": "ptz控制",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "channel_no",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " 上:up,下:down,左:left,右:right,左上:leftup,左下:leftdown,右上:rightup,右下:rightdown,镜头近:zoomin,镜头远:zoomout, 焦距远:focusfar,焦距近:focusnear, 设置预置位:setpos,调预置位:callpos,调预置位:delpos,停止:stop",
                        "name": "ptz_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "速度范围为1-255 ",
                        "name": "ptz_param",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PtzResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/camera/real_play": {
            "get": {
                "description": "获取实时播放地址",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    ""
                ],
                "summary": "获取实时播放地址",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "channel_no",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RealPlayResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/camera/unbind_device": {
            "put": {
                "description": "设备解绑摄像头",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "摄像头后台设置"
                ],
                "summary": "设备解绑摄像头",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceUnbindCameraBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceUnbindCameraResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/attendance_list": {
            "get": {
                "description": "实名制设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备后台设置"
                ],
                "summary": "实名制设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1 0 1 ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " 审核状态 -1 不过滤， 0 待审核 1 通过 2 未通过  ",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/dust_list": {
            "get": {
                "description": "设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备后台设置"
                ],
                "summary": "扬尘设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1 0 1 ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " 审核状态 -1 不过滤， 0 待审核 1 通过 2 未通过  ",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/list": {
            "get": {
                "description": "所有设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备后台设置"
                ],
                "summary": "所有设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1 0 1 ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " 审核状态 -1 不过滤， 0 待审核 1 通过 2 未通过  ",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/vedio_channel": {
            "get": {
                "description": "设备绑定的摄像头",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "设备绑定的摄像头",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceVideoChannelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "编辑通道",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "摄像头后台设置"
                ],
                "summary": "编辑通道",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChannelUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChannelUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/vedio_channel_list": {
            "get": {
                "description": "通道列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "通道列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "channel_no",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChannelListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/vedio_channel_unbind": {
            "get": {
                "description": "未绑定设备的通道列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "未绑定设备的通道列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChannelListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/device/vedio_list": {
            "get": {
                "description": "视频设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "device"
                ],
                "summary": "视频设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "过滤字段",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1 0 1 ",
                        "name": "state",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VedioListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/dust/aqi": {
            "get": {
                "description": "扬尘aqi",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "扬尘监控前台展示"
                ],
                "summary": "扬尘aqi",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DustAqiResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/dust/history": {
            "get": {
                "description": "扬尘历史",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "扬尘监控前台展示"
                ],
                "summary": "扬尘历史",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "time",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DustMonitorHistoryResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/dust/last": {
            "get": {
                "description": "扬尘最近数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "扬尘监控前台展示"
                ],
                "summary": "扬尘最近数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LatestDustMonitorDataResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/dust/list": {
            "get": {
                "description": "扬尘历史",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "扬尘监控前台展示"
                ],
                "summary": "扬尘设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DustListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/iot/last": {
            "get": {
                "description": "iot最近数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "塔吊监控前台展示"
                ],
                "summary": "iot最近数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "device_code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.IotLastResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/iot/list": {
            "get": {
                "description": "iot设备列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "塔吊监控前台展示"
                ],
                "summary": "iot设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "device_code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.IotListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/iot/tower_history": {
            "get": {
                "description": "塔机历史",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "塔吊监控前台展示"
                ],
                "summary": "塔机历史",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TowerMonitorHistoryResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/iot/tower_last": {
            "get": {
                "description": "塔吊最近数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "塔吊监控前台展示"
                ],
                "summary": "塔吊最近数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "sn",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LatestTowerMonitorDataResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/iot/type_list": {
            "get": {
                "description": "iot设备类型列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "塔吊监控前台展示"
                ],
                "summary": "iot设备类型列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.IotTypeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/log/list": {
            "get": {
                "description": "操作日志列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "log"
                ],
                "summary": "操作日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LogListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/corp": {
            "put": {
                "description": "更新参建单位",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "更新参建单位",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectCorpUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectCorpUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加参建单位",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "添加参建单位",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectCorpAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectCorpAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/corp/{id}": {
            "delete": {
                "description": "删除参建单位",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "删除参建单位",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectCorpDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/corp_list": {
            "get": {
                "description": "参建单位列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "参建单位列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectCorpListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/device_approve": {
            "put": {
                "description": "设备入库审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备后台设置"
                ],
                "summary": "设备入库审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeviceApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/device_statistics": {
            "get": {
                "description": "项目设备统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目设备统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectDeviceStatisticsResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/info": {
            "get": {
                "description": "项目信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/pic": {
            "put": {
                "description": "设置项目平面图或效果图",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "项目后台设置"
                ],
                "summary": "设置项目平面图或效果图",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectSetPicBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectSetPicResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/pm": {
            "put": {
                "description": "更新管理人员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "更新管理人员",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectPMUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectPMUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加管理人员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "添加管理人员",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectPMAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectPMAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/pm/{id}": {
            "delete": {
                "description": "删除管理人员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "删除管理人员",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectPMDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/pm_list": {
            "get": {
                "description": "管理人员列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "管理人员列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectPMListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/progress": {
            "put": {
                "description": "项目进度完成或开工",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目进度完成或开工",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectProgressSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectProgressSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加项目进度",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "添加项目进度",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectProgressAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectProgressAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/progress/{id}": {
            "delete": {
                "description": "删除项目进度",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "删除项目进度",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectProgressDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/project/progress_list": {
            "get": {
                "description": "项目进度列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "project"
                ],
                "summary": "项目进度列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProjectProgressResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/attendance": {
            "get": {
                "description": "员工考勤",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "staff"
                ],
                "summary": "员工考勤",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " 员工姓名或工种或员工类型",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffAttendanceResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/company_statistics": {
            "get": {
                "description": "员工按劳务公司统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "人员管理前台展示"
                ],
                "summary": "员工按劳务公司统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LaborCompanyStatisticsResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/last": {
            "get": {
                "description": "最近考勤数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "人员管理前台展示"
                ],
                "summary": "最近考勤数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LatestStaffDataResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/list": {
            "get": {
                "description": "员工列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "staff"
                ],
                "summary": "员工列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " 员工姓名或工种或员工类型",
                        "name": "filter",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/type_statistics": {
            "get": {
                "description": "员工类型统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "人员管理前台展示"
                ],
                "summary": "员工类型统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffTypeStatisticsResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/work_type_statistics": {
            "get": {
                "description": "工种统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "人员管理前台展示"
                ],
                "summary": "工种统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffWorkTypeStatisticsResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/task": {
            "put": {
                "description": "处理任务",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "处理任务",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.TaskFinishBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskFinishResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/task/info/{id}": {
            "get": {
                "description": "任务详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "任务详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/task/list": {
            "get": {
                "description": "任务列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "任务模块"
                ],
                "summary": "任务列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start_time",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " 任务名，任务号 ",
                        "name": "filter",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "task_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 0 不过滤 1 超期 2 未超期",
                        "name": "overdue",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 0 不过滤 1 普通 2 告警任务",
                        "name": "source",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/token_refresh": {
            "put": {
                "description": "刷新token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "刷新token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "上传文件"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/captcha_id": {
            "get": {
                "description": "获取图片验证码id",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "获取图片验证码id",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CaptchaIdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/captcha_png/{captcha_id}": {
            "get": {
                "description": "获取图片验证码图片",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "获取图片验证码图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "captcha_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/change_passwd": {
            "put": {
                "description": "修改密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "修改密码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/info": {
            "get": {
                "description": "获取电话和邮箱",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取电话和邮箱",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UserInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login_front": {
            "post": {
                "description": "可视化登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "可视化登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "临时token",
                        "name": "token",
                        "in": "header"
                    },
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/mail": {
            "get": {
                "description": "修改邮箱",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "修改邮箱",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MailUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/permission": {
            "get": {
                "description": "获取账户权限",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取账户权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UserPermissionResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/phone": {
            "put": {
                "description": "修改电话号码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "修改电话号码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PhoneUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PhoneUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/verify_mail": {
            "put": {
                "description": "发送验证邮件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "发送验证邮件",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MailPrepareBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MailPrepareResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/vcode": {
            "get": {
                "description": "获取短信验证码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取短信验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": "phone",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VcodeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/vehicle/list": {
            "get": {
                "description": "车辆",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "车辆进出场前台展示"
                ],
                "summary": "车辆",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " ",
                        "name": "plate_no",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "start",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "end",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VehicleListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.AlarmContact": {
            "type": "object",
            "properties": {
                "email": {
                    "description": "告警联系人邮件",
                    "type": "string"
                },
                "id": {
                    "description": "id",
                    "type": "integer"
                },
                "phone": {
                    "description": "告警联系人电话",
                    "type": "string"
                },
                "project_id": {
                    "description": "项目id",
                    "type": "integer"
                }
            }
        },
        "v1.AlarmContactAddBody": {
            "type": "object",
            "required": [
                "email",
                "phone"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmContactAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmContactAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmContactAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmContactDeleteResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmContactListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AlarmContact"
                    }
                }
            }
        },
        "v1.AlarmContactListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmContactListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmContactUpdateBody": {
            "type": "object",
            "required": [
                "email",
                "id",
                "phone"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmContactUpdateReply": {
            "type": "object"
        },
        "v1.AlarmContactUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmContactUpdateReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "is_handled": {
                    "type": "boolean"
                },
                "name": {
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "reason": {
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "time": {
                    "type": "string"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmListReply": {
            "type": "object",
            "properties": {
                "has_more": {
                    "type": "boolean"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AlarmItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "timestamp": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmRule": {
            "type": "object",
            "properties": {
                "alarm_count": {
                    "type": "integer"
                },
                "continue_period": {
                    "type": "integer"
                },
                "device_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_on": {
                    "type": "boolean"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "silence_period": {
                    "type": "integer"
                },
                "sn": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmRuleAddBody": {
            "type": "object",
            "required": [
                "alarm_count",
                "continue_period",
                "is_on",
                "silence_period",
                "sn"
            ],
            "properties": {
                "alarm_count": {
                    "type": "integer"
                },
                "continue_period": {
                    "type": "integer"
                },
                "is_on": {
                    "type": "boolean"
                },
                "silence_period": {
                    "type": "integer"
                },
                "sn": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmRuleAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmRuleAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmRuleAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmRuleDeleteResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmRuleListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AlarmRule"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AlarmRuleListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AlarmRuleListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmRuleOnOffBody": {
            "type": "object",
            "required": [
                "id",
                "is_on"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "is_on": {
                    "type": "boolean"
                }
            }
        },
        "v1.AlarmRuleOnOffResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AlarmRuleUpdateBody": {
            "type": "object",
            "required": [
                "alarm_count",
                "continue_period",
                "id",
                "is_on",
                "silence_period",
                "sn"
            ],
            "properties": {
                "alarm_count": {
                    "type": "integer"
                },
                "continue_period": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "is_on": {
                    "type": "boolean"
                },
                "silence_period": {
                    "type": "integer"
                },
                "sn": {
                    "type": "string"
                }
            }
        },
        "v1.AlarmRuleUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AreaCodeItem": {
            "type": "object",
            "properties": {
                "area_addr": {
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.AreaCodeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AreaCodeItem"
                    }
                }
            }
        },
        "v1.AreaCodeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AreaCodeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CaptchaIdResponse": {
            "type": "object",
            "properties": {
                "captureId": {
                    "type": "string"
                },
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChangePasswdBody": {
            "type": "object",
            "properties": {
                "new": {
                    "type": "string"
                },
                "old": {
                    "type": "string"
                }
            }
        },
        "v1.ChangePasswdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChannelItem": {
            "type": "object",
            "properties": {
                "channel_no": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "v1.ChannelListReply": {
            "type": "object",
            "properties": {
                "has_more": {
                    "type": "boolean"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChannelItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChannelListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChannelListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChannelUpdateBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.ChannelUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceApproveBody": {
            "type": "object",
            "properties": {
                "device_code": {
                    "type": "integer"
                },
                "feedback": {
                    "description": "审批回复",
                    "type": "string"
                },
                "id": {
                    "description": "设备id",
                    "type": "integer"
                },
                "status": {
                    "description": "true 通过 false 不通过",
                    "type": "boolean"
                }
            }
        },
        "v1.DeviceApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceBindCameraBody": {
            "type": "object",
            "properties": {
                "channel_id": {
                    "type": "integer"
                },
                "device_code": {
                    "type": "integer"
                },
                "device_id": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceBindCameraResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceItem": {
            "type": "object",
            "properties": {
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "batch": {
                    "type": "string"
                },
                "channel_id": {
                    "type": "integer"
                },
                "created_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "key": {
                    "type": "string"
                },
                "kind": {
                    "description": "实名制设备类型",
                    "type": "string"
                },
                "lat": {
                    "type": "number"
                },
                "lon": {
                    "type": "number"
                },
                "manufacturer": {
                    "type": "string"
                },
                "model": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "person": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "project_name": {
                    "type": "string"
                },
                "provider_name": {
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安检备案号",
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "state": {
                    "description": "0 离线 1 在线",
                    "type": "integer"
                },
                "status": {
                    "description": "0 待审核 1 项目通过 2 项目不通过",
                    "type": "integer"
                },
                "sub_kind": {
                    "description": "实名制设备类别",
                    "type": "string"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                },
                "unit": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.DeviceListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DeviceItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceUnbindCameraBody": {
            "type": "object",
            "properties": {
                "channel_id": {
                    "type": "integer"
                },
                "device_code": {
                    "type": "integer"
                },
                "device_id": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceUnbindCameraResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeviceVideoChannelReply": {
            "type": "object",
            "properties": {
                "channel_no": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "v1.DeviceVideoChannelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DeviceVideoChannelReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DustAqiData": {
            "type": "object",
            "properties": {
                "aqi": {
                    "type": "integer"
                }
            }
        },
        "v1.DustAqiResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DustAqiData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DustListItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "v1.DustListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DustListItem"
                    }
                },
                "offline": {
                    "type": "integer"
                },
                "online": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DustListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DustListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DustMonitorData": {
            "type": "object",
            "properties": {
                "b03": {
                    "description": "噪声",
                    "type": "number"
                },
                "date": {
                    "type": "string"
                },
                "h01": {
                    "description": "湿度",
                    "type": "number"
                },
                "p01": {
                    "description": "气压",
                    "type": "number"
                },
                "pm10": {
                    "type": "number"
                },
                "pm25": {
                    "type": "number"
                },
                "r01": {
                    "description": "雨量",
                    "type": "number"
                },
                "t01": {
                    "description": "温度",
                    "type": "number"
                },
                "tsp": {
                    "type": "number"
                },
                "w01": {
                    "description": "风向",
                    "type": "number"
                },
                "w02": {
                    "description": "风速",
                    "type": "number"
                }
            }
        },
        "v1.DustMonitorHistoryReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DustMonitorData"
                    }
                }
            }
        },
        "v1.DustMonitorHistoryResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DustMonitorHistoryReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetVcodeReply": {
            "type": "object",
            "properties": {
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.IotDataItem": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "unit": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "v1.IotLastReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.IotDataItem"
                    }
                },
                "pic": {
                    "type": "string"
                }
            }
        },
        "v1.IotLastResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.IotLastReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.IotListItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "v1.IotListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.IotListItem"
                    }
                },
                "offline": {
                    "type": "integer"
                },
                "online": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.IotListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.IotListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.IotTypeListItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "type_code": {
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.IotTypeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.IotTypeListItem"
                    }
                }
            }
        },
        "v1.IotTypeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.IotTypeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LaborCompanyStatistics": {
            "type": "object",
            "properties": {
                "attendance": {
                    "description": "出勤人数",
                    "type": "integer"
                },
                "labor_attendance": {
                    "description": "劳务人员",
                    "type": "integer"
                },
                "labor_company": {
                    "description": "员工类型",
                    "type": "string"
                },
                "manager_attendance": {
                    "description": "管理人员",
                    "type": "integer"
                },
                "total": {
                    "description": "总人数",
                    "type": "integer"
                }
            }
        },
        "v1.LaborCompanyStatisticsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.LaborCompanyStatistics"
                    }
                }
            }
        },
        "v1.LaborCompanyStatisticsResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LaborCompanyStatisticsReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LatestDustMonitorDataResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DustMonitorData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LatestStaffDataReply": {
            "type": "object",
            "properties": {
                "group": {
                    "type": "string"
                },
                "in_out": {
                    "description": "进出",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "photo": {
                    "description": "照片",
                    "type": "string"
                },
                "recog_time": {
                    "description": "打卡时间",
                    "type": "string"
                },
                "work_no": {
                    "description": "工号",
                    "type": "string"
                },
                "work_type": {
                    "type": "string"
                }
            }
        },
        "v1.LatestStaffDataResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LatestStaffDataReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LatestTowerMonitorDataResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TowerMonitorData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LogInfo": {
            "type": "object",
            "properties": {
                "detail": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "operation": {
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "project_no": {
                    "type": "string"
                },
                "result": {
                    "type": "string"
                },
                "safety_record_no": {
                    "type": "string"
                },
                "time": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "v1.LogListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.LogInfo"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.LogListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LogListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "properties": {
                "captcha": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "remberPassword": {
                    "type": "boolean"
                },
                "user": {
                    "type": "string"
                },
                "verify": {
                    "type": "string"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "is_admin": {
                    "type": "boolean"
                },
                "refresh_token": {
                    "type": "string"
                },
                "token": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MailPrepareBody": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "v1.MailPrepareResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MailUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PhoneUpdateBody": {
            "type": "object",
            "properties": {
                "phone": {
                    "type": "string"
                },
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.PhoneUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectCorpAddBody": {
            "type": "object",
            "properties": {
                "area_code": {
                    "description": "单位所在行政区域代码",
                    "type": "string"
                },
                "corp_type": {
                    "description": "参建类型",
                    "type": "integer"
                },
                "name": {
                    "description": "单位名称",
                    "type": "string"
                },
                "register_date": {
                    "description": "注册日期",
                    "type": "integer"
                },
                "social_code": {
                    "description": "单位社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.ProjectCorpAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectCorpAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectCorpAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectCorpDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectCorpListItem": {
            "type": "object",
            "properties": {
                "area_code": {
                    "description": "单位所在行政区域代码",
                    "type": "string"
                },
                "corp_type": {
                    "description": "参建类型",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "description": "单位名称",
                    "type": "string"
                },
                "register_date": {
                    "description": "注册日期",
                    "type": "integer"
                },
                "social_code": {
                    "description": "单位社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.ProjectCorpListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectCorpListItem"
                    }
                }
            }
        },
        "v1.ProjectCorpListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectCorpListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectCorpUpdateBody": {
            "type": "object",
            "properties": {
                "area_code": {
                    "description": "单位所在行政区域代码",
                    "type": "string"
                },
                "corp_type": {
                    "description": "参建类型",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "description": "单位名称",
                    "type": "string"
                },
                "register_date": {
                    "description": "注册日期",
                    "type": "integer"
                },
                "social_code": {
                    "description": "单位社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.ProjectCorpUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectDeviceStatistics": {
            "type": "object",
            "properties": {
                "device_type": {
                    "description": "设备类型",
                    "type": "string"
                },
                "online": {
                    "description": "在线数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数",
                    "type": "integer"
                }
            }
        },
        "v1.ProjectDeviceStatisticsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectDeviceStatistics"
                    }
                }
            }
        },
        "v1.ProjectDeviceStatisticsResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectDeviceStatisticsReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectInfoReply": {
            "type": "object",
            "properties": {
                "area_code": {
                    "description": "项目所在地行政区域代码",
                    "type": "string"
                },
                "category": {
                    "description": "项目类别 1 房屋建筑工程 2 市政工程 3 其他",
                    "type": "string"
                },
                "construct_type": {
                    "description": "建设性质 1 新建 2 改建 3 扩建",
                    "type": "string"
                },
                "construction": {
                    "description": "施工单位",
                    "type": "string"
                },
                "covered_area": {
                    "description": "总面积",
                    "type": "number"
                },
                "create_time": {
                    "type": "string"
                },
                "desc": {
                    "description": "项目简介",
                    "type": "string"
                },
                "design": {
                    "description": "设计单位",
                    "type": "string"
                },
                "development": {
                    "description": "建设单位",
                    "type": "string"
                },
                "end_day": {
                    "description": "计划完工日期",
                    "type": "string"
                },
                "exploration": {
                    "description": "勘察单位",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "invest_type": {
                    "description": "资金来源",
                    "type": "string"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "location": {
                    "description": "建设地址",
                    "type": "string"
                },
                "lon": {
                    "description": "经度",
                    "type": "number"
                },
                "manager": {
                    "type": "string"
                },
                "manager_phone": {
                    "type": "string"
                },
                "name": {
                    "description": "项目名称",
                    "type": "string"
                },
                "oversee": {
                    "description": "监理单位",
                    "type": "string"
                },
                "price": {
                    "description": "总投资 万元",
                    "type": "number"
                },
                "project_effect_pic": {
                    "description": "项目效果图",
                    "type": "string"
                },
                "project_plan": {
                    "description": "项目平面图",
                    "type": "string"
                },
                "project_status": {
                    "description": "1 筹备 2 立项 3 在建 4 完工 5 停工",
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安监备案号",
                    "type": "string"
                },
                "scale": {
                    "description": "项目规模",
                    "type": "string"
                },
                "start_day": {
                    "description": "计划开工日期",
                    "type": "string"
                }
            }
        },
        "v1.ProjectInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectPMAddBody": {
            "type": "object",
            "properties": {
                "cert_num": {
                    "description": "证件号",
                    "type": "string"
                },
                "cert_type": {
                    "description": "证件类型",
                    "type": "integer"
                },
                "corp_id": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "p_type": {
                    "description": "人员类型",
                    "type": "integer"
                },
                "phone": {
                    "description": "电话号",
                    "type": "string"
                }
            }
        },
        "v1.ProjectPMAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectPMAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectPMAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectPMDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectPMListItem": {
            "type": "object",
            "properties": {
                "cert_num": {
                    "description": "证件号",
                    "type": "string"
                },
                "cert_type": {
                    "description": "证件类型",
                    "type": "integer"
                },
                "corp_id": {
                    "type": "integer"
                },
                "corp_name": {
                    "type": "string"
                },
                "corp_type": {
                    "description": "参建类型",
                    "type": "integer"
                },
                "created_time": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "p_type": {
                    "description": "人员类型",
                    "type": "integer"
                },
                "phone": {
                    "description": "电话号",
                    "type": "string"
                },
                "social_code": {
                    "description": "单位社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.ProjectPMListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectPMListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectPMListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectPMListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectPMUpdateBody": {
            "type": "object",
            "properties": {
                "cert_num": {
                    "description": "证件号",
                    "type": "string"
                },
                "cert_type": {
                    "description": "证件类型",
                    "type": "integer"
                },
                "corp_id": {
                    "description": "单位社会信用码",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "p_type": {
                    "description": "人员类型",
                    "type": "integer"
                },
                "phone": {
                    "description": "电话号",
                    "type": "string"
                }
            }
        },
        "v1.ProjectPMUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectProgress": {
            "type": "object",
            "properties": {
                "expect_end_time": {
                    "description": "预计结束时间",
                    "type": "string"
                },
                "expect_start_time": {
                    "description": "预计开始时间",
                    "type": "string"
                },
                "id": {
                    "description": "阶段id",
                    "type": "integer"
                },
                "image": {
                    "description": "阶段图片",
                    "type": "string"
                },
                "name": {
                    "description": "阶段名",
                    "type": "string"
                },
                "reality_end_time": {
                    "description": "实际完工时间",
                    "type": "string"
                },
                "reality_start_time": {
                    "type": "string"
                },
                "status": {
                    "description": "状态 （0 未完工，1 已完成 ，2 进行中）",
                    "type": "integer"
                }
            }
        },
        "v1.ProjectProgressAddBody": {
            "type": "object",
            "properties": {
                "expectEndTime": {
                    "type": "integer"
                },
                "expectStartTime": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.ProjectProgressAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectProgressAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectProgressAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectProgressDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectProgressReply": {
            "type": "object",
            "properties": {
                "end_day": {
                    "description": "项目结束时间",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProjectProgress"
                    }
                },
                "start_day": {
                    "description": "项目开始时间",
                    "type": "string"
                },
                "start_days": {
                    "description": "开工天数",
                    "type": "integer"
                },
                "total_days": {
                    "description": "总天数",
                    "type": "integer"
                }
            }
        },
        "v1.ProjectProgressResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProjectProgressReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectProgressSetBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "image": {
                    "type": "string"
                },
                "reality_end_time": {
                    "type": "integer"
                },
                "reality_start_time": {
                    "type": "integer"
                }
            }
        },
        "v1.ProjectProgressSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProjectSetPicBody": {
            "type": "object",
            "properties": {
                "picType": {
                    "description": "0 平面图 1 效果图",
                    "type": "integer"
                },
                "picUrl": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.ProjectSetPicResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PtzResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RealPlayReply": {
            "type": "object",
            "properties": {
                "flvurl": {
                    "type": "string"
                },
                "hlsurl": {
                    "type": "string"
                },
                "rtcurl": {
                    "type": "string"
                },
                "rtmpurl": {
                    "type": "string"
                },
                "sessionid": {
                    "type": "string"
                },
                "vediourl": {
                    "type": "string"
                }
            }
        },
        "v1.RealPlayResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RealPlayReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffAttendanceDesc": {
            "type": "object",
            "properties": {
                "in_out": {
                    "description": "进出",
                    "type": "string"
                },
                "is_in": {
                    "type": "boolean"
                },
                "time": {
                    "description": "打卡时间",
                    "type": "string"
                }
            }
        },
        "v1.StaffAttendanceItem": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "gender": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StaffAttendanceDesc"
                    }
                },
                "name": {
                    "type": "string"
                },
                "staff_type": {
                    "type": "string"
                },
                "work_no": {
                    "type": "string"
                },
                "work_type": {
                    "type": "string"
                }
            }
        },
        "v1.StaffAttendanceReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StaffAttendanceItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffAttendanceResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffAttendanceReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffListItem": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "住址",
                    "type": "string"
                },
                "birthday": {
                    "description": "生日",
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "gender": {
                    "description": "性别",
                    "type": "string"
                },
                "group": {
                    "description": "班组",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "id_cert": {
                    "description": "身分证",
                    "type": "string"
                },
                "id_issue": {
                    "description": "发证机关",
                    "type": "string"
                },
                "id_period": {
                    "description": "证件有效期",
                    "type": "string"
                },
                "id_photo": {
                    "description": "证件照片",
                    "type": "string"
                },
                "inf_photo": {
                    "description": "现场人员红外照片",
                    "type": "string"
                },
                "is_delete": {
                    "description": "是否删除",
                    "type": "boolean"
                },
                "labor_company": {
                    "description": "劳务公司",
                    "type": "string"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "photo": {
                    "description": "现场人员可见光照片",
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "sn": {
                    "description": "设备编码",
                    "type": "string"
                },
                "staff_type": {
                    "description": "员工类型",
                    "type": "string"
                },
                "status": {
                    "description": "0 新增,1已下发（待确认） 2 已下发（成功） 3 待删除",
                    "type": "integer"
                },
                "work_no": {
                    "description": "工号",
                    "type": "string"
                },
                "work_type": {
                    "description": "工种",
                    "type": "string"
                }
            }
        },
        "v1.StaffListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StaffListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffTypeStatistics": {
            "type": "object",
            "properties": {
                "attendance": {
                    "description": "出勤人数",
                    "type": "integer"
                },
                "staff_type": {
                    "description": "员工类型",
                    "type": "string"
                },
                "total": {
                    "description": "总人数",
                    "type": "integer"
                },
                "type_code": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffTypeStatisticsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StaffTypeStatistics"
                    }
                },
                "total_attendance": {
                    "type": "integer"
                },
                "total_in": {
                    "type": "integer"
                }
            }
        },
        "v1.StaffTypeStatisticsResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffTypeStatisticsReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffWorkTypeStatisticsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.WorkTypeStatistics"
                    }
                }
            }
        },
        "v1.StaffWorkTypeStatisticsResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StaffWorkTypeStatisticsReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskFinishBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "processing_person": {
                    "type": "string"
                },
                "processing_results": {
                    "type": "string"
                },
                "processing_results_img": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.TaskFinishResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskInfoReply": {
            "type": "object",
            "properties": {
                "finish_date": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TaskPipeline"
                    }
                },
                "status": {
                    "type": "integer"
                },
                "task_code": {
                    "type": "string"
                },
                "task_name": {
                    "type": "string"
                },
                "task_type": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TaskInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskListItem": {
            "type": "object",
            "properties": {
                "created_time": {
                    "type": "string"
                },
                "creater": {
                    "type": "string"
                },
                "finish_date": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_overdue": {
                    "type": "boolean"
                },
                "processing_date": {
                    "type": "string"
                },
                "processing_person": {
                    "type": "string"
                },
                "processing_results": {
                    "type": "string"
                },
                "processing_results_img": {
                    "type": "string"
                },
                "project_addr": {
                    "type": "string"
                },
                "project_code": {
                    "type": "string"
                },
                "project_id": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "reviewer": {
                    "type": "string"
                },
                "safety_record_no": {
                    "type": "string"
                },
                "status": {
                    "description": "0 未处理 1 待审核 2 已审核",
                    "type": "integer"
                },
                "task_code": {
                    "type": "string"
                },
                "task_desc": {
                    "type": "string"
                },
                "task_img": {
                    "type": "string"
                },
                "task_name": {
                    "type": "string"
                },
                "task_type": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TaskListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TaskListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TaskPipeline": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "img": {
                    "type": "string"
                },
                "person": {
                    "type": "string"
                },
                "pipe_time": {
                    "type": "string"
                },
                "pipe_type": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "v1.TokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "v1.TowerMonitorData": {
            "type": "object",
            "properties": {
                "angle_x": {
                    "description": "塔身倾斜度 X 向",
                    "type": "number"
                },
                "angle_y": {
                    "description": "塔身倾斜度 Y 向",
                    "type": "number"
                },
                "back_turn": {
                    "description": "回转角度值",
                    "type": "number"
                },
                "battery": {
                    "description": "电池电量",
                    "type": "string"
                },
                "date": {
                    "type": "string"
                },
                "hight": {
                    "description": "吊钩离地面的距离",
                    "type": "number"
                },
                "moment": {
                    "description": "当前力矩所占最大力矩的百分比",
                    "type": "string"
                },
                "scope": {
                    "description": "幅度值",
                    "type": "number"
                },
                "weight": {
                    "description": "吊钩所掉重物的重量",
                    "type": "number"
                },
                "wind_speed": {
                    "description": "风速",
                    "type": "number"
                }
            }
        },
        "v1.TowerMonitorHistoryReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TowerMonitorData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.TowerMonitorHistoryResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TowerMonitorHistoryReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UploadResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UserInfoReply": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.UserInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UserInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UserPermissionData": {
            "type": "object",
            "properties": {
                "is_admin": {
                    "type": "boolean"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.UserPermissionResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UserPermissionData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VcodeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GetVcodeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VedioItem": {
            "type": "object",
            "properties": {
                "apply_time": {
                    "description": "申请时间",
                    "type": "string"
                },
                "approve_time": {
                    "description": "审批时间",
                    "type": "string"
                },
                "channel_count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "ip": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "media_transport": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "port": {
                    "type": "integer"
                },
                "project_name": {
                    "type": "string"
                },
                "provider_name": {
                    "type": "string"
                },
                "safety_record_no": {
                    "description": "安检备案号",
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "social_code": {
                    "type": "string"
                },
                "state": {
                    "description": "0 离线 1 在线",
                    "type": "integer"
                },
                "status": {
                    "description": "0 待审核 1 项目通过 2 项目不通过",
                    "type": "integer"
                },
                "type_code": {
                    "description": "设备类型编码",
                    "type": "integer"
                },
                "type_name": {
                    "type": "string"
                }
            }
        },
        "v1.VedioListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VedioItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VedioListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VedioListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VedioPingReply": {
            "type": "object",
            "properties": {
                "result": {
                    "type": "string"
                }
            }
        },
        "v1.VedioPingResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VedioPingReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.Vehicle": {
            "type": "object",
            "properties": {
                "clean_image": {
                    "description": "车辆清洗图片",
                    "type": "string"
                },
                "date": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "image": {
                    "description": "车辆进出图片",
                    "type": "string"
                },
                "plate_no": {
                    "description": "车牌",
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "type": {
                    "description": "进出类型，1 进 2 出",
                    "type": "string"
                },
                "vehicle_type": {
                    "description": "车辆类型",
                    "type": "string"
                }
            }
        },
        "v1.VehicleListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Vehicle"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VehicleListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VehicleListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.WorkTypeStatistics": {
            "type": "object",
            "properties": {
                "attendance": {
                    "description": "出勤人数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "total": {
                    "description": "总人数",
                    "type": "integer"
                },
                "work_type": {
                    "description": "工种",
                    "type": "string"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project smart-site-management-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
