// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-site-management-gateway/param/base"
	"smart-site-management-gateway/pb/v1"
)

type LatestDustMonitorQuery struct {
	Sn                 string    `form:"sn" json:"sn"`
	Type                 int32    `form:"type" json:"type"`
}

type LatestDustMonitorDataRequest struct {
	base.Header
	LatestDustMonitorQuery
}


type LatestDustMonitorDataResponse struct {
	base.Result
	Data v1.DustMonitorData `json:"data"`
}



type DustMonitorHistoryQuery struct {
	Sn                 string    `form:"sn" json:"sn"`
	Type                 int32    `form:"type" json:"type"`
	Time                  int64    `form:"time" json:"time"`
}

type DustMonitorHistoryRequest struct {
	base.Header
	DustMonitorHistoryQuery
}


type DustMonitorHistoryResponse struct {
	base.Result
	Data v1.DustMonitorHistoryReply `json:"data"`
}

type DustListQuery struct {
	Page int32 `form:"page"`
	PageSize int32 `form:"page_size"`
}
type DustListRequest struct {
	base.Header
	DustListQuery
}

type DustListResponse struct {
	base.Result
	Data v1.DustListReply `json:"data"`
}

type DustAqiQuery struct {
	Sn string `form:"sn"`
}
type DustAqiRequest struct {
	base.Header
	DustAqiQuery
}

type DustAqiData struct {
	Aqi int `json:"aqi"`
}

type DustAqiResponse struct {
	base.Result
	Data DustAqiData `json:"data"`
}