// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-site-management-gateway/param/base"
	"smart-site-management-gateway/pb/v1"
)

type LatestStaffDataQuery struct {
	Page                 int32    `form:"page" json:"page"`
}

type LatestStaffDataRequest struct {
	base.Header
	LatestStaffDataQuery
}


type LatestStaffDataResponse struct {
	base.Result
	Data v1.LatestStaffDataReply `json:"data"`
}


type StaffWorkTypeStatisticsRequest struct {
	base.Header
}


type StaffWorkTypeStatisticsResponse struct {
	base.Result
	Data v1.StaffWorkTypeStatisticsReply `json:"data"`
}


type StaffTypeStatisticsRequest struct {
	base.Header
}


type StaffTypeStatisticsResponse struct {
	base.Result
	Data v1.StaffTypeStatisticsReply `json:"data"`
}


type LaborCompanyStatisticsRequest struct {
	base.Header
}


type LaborCompanyStatisticsResponse struct {
	base.Result
	Data v1.LaborCompanyStatisticsReply `json:"data"`
}
type StaffListQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
}
type StaffListRequest struct {
	base.Header
	StaffListQuery
}
type StaffListResponse struct {
	base.Result
	Data v1.StaffListReply `json:"data"`
}

type StaffAttendanceQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
	Start int64 `form:"start"`
	End int64 `form:"end"`
}

type StaffAttendanceRequest struct {
	base.Header
	StaffAttendanceQuery
}

type StaffAttendanceResponse struct {
	base.Result
	Data v1.StaffAttendanceReply `json:"data"`
}