// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-site-management-gateway/param/base"
	"smart-site-management-gateway/pb/v1"
)


type TaskFinishBody struct {
	Id                   int64    `form:"id"`
	ProcessingResultsImg []string `form:"processing_results_img" json:"processing_results_img"`
	ProcessingResults    string   `form:"processing_results" json:"processing_results"`
	ProcessingPerson     string   `form:"processing_person" json:"processing_person"`

}

type TaskFinishRequest struct {
	base.Header
	TaskFinishBody
}

type TaskFinishResponse struct {
	base.Result
}

type TaskListQuery struct {
	Page      int32   `form:"page"`
	PageSize  int32   `form:"page_size"`
	Status    int32 `form:"status"`
	// 任务名,任务编码
	Filter               string   `form:"filter"`
	Start                int64    `form:"start_time"`
	End                  int64    `form:"end_time"`
	TaskType int32 `form:"task_type" json:"task_type"`
	Type int32 `form:"type" json:"type"`
	Overdue int32 `form:"overdue"`
	Source int32 `form:"source"`

}

type TaskListRequest struct {
	base.Header
	TaskListQuery
}

type TaskListResponse struct {
	base.Result
	Data v1.TaskListReply `json:"data"`
}

type TaskInfoPath struct {
	Id int64 `uri:"id"`
}
type TaskInfoRequest struct {
	base.Header
	TaskInfoPath
}

type TaskInfoResponse struct {
	base.Result
	Data v1.TaskInfoReply `json:"data"`
}

