// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-site-management-gateway/param/base"
	"smart-site-management-gateway/pb/v1"
)

type LatestTowerMonitorQuery struct {
	Sn                 string    `form:"sn" json:"sn"`
}

type LatestTowerMonitorDataRequest struct {
	base.Header
	LatestTowerMonitorQuery
}


type LatestTowerMonitorDataResponse struct {
	base.Result
	Data v1.TowerMonitorData `json:"data"`
}



type TowerMonitorHistoryQuery struct {
	Sn                 string    `form:"sn" json:"sn"`
	Start                  int64    `form:"start" json:"start"`
	End int64 `form:"end" json:"end"`
	Page int32 `form:"page" json:"page"`
	PageSize int32 `form:"page_size" json:"page_size"`
}

type TowerMonitorHistoryRequest struct {
	base.Header
	TowerMonitorHistoryQuery
}


type TowerMonitorHistoryResponse struct {
	base.Result
	Data v1.TowerMonitorHistoryReply `json:"data"`
}

type IotListQuery struct {
	Page int32 `form:"page"`
	PageSize int32 `form:"page_size"`
	DeviceCode int32 `form:"device_code"`
}

type IotListRequest struct {
	base.Header
	IotListQuery
}

type IotListResponse struct {
	base.Result
	Data v1.IotListReply `json:"data"`
}

type IotTypeListRequest struct {
	base.Header
}


type IotTypeListResponse struct {
	base.Result
	Data v1.IotTypeListReply `json:"data"`
}


type IotLastQuery struct {
	Sn                 string    `form:"sn" json:"sn"`
	DeviceCode int32 `form:"device_code"`
}

type IotLastRequest struct {
	base.Header
	IotLastQuery
}


type IotLastResponse struct {
	base.Result
	Data v1.IotLastReply `json:"data"`
}
