// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-site-management-gateway/param/base"
	"smart-site-management-gateway/pb/v1"
)

type VehicleListQuery struct {
	Page                 int32    `form:"page" json:"page"`
	Type                 int32    `form:"type" json:"type"`
	Start                int64    `form:"start" json:"start"`
	End                  int64    `form:"end" json:"end"`
	PageSize int32 `form:"page_size" json:"page_size"`
	PlateNo string `form:"plate_no" json:"plate_no"`
}

type VehicleListRequest struct {
	base.Header
	VehicleListQuery
}


type VehicleListResponse struct {
	base.Result
	Data v1.VehicleListReply `json:"data"`
}
